QwtPickerClickRectMachine(3)

NAME
QwtPickerClickRectMachine -

A state machine for rectangle selections.

SYNOPSIS

#include <qwt_picker_machine.h>

Inherits QwtPickerMachine.

  Public Types
enum Command { Begin, Append, Move, End }
typedef QList< Command > CommandList

  Public Member Functions
void reset ()
void setState (int)
int state () const
virtual CommandList transition (const QwtEventPattern &, const QEvent *)

Detailed Description

A state machine for rectangle selections. Pressing QwtEventPattern::MouseSelect1 starts the selection, releasing it selects the first point. Pressing it again selects the second point and terminates the selection. Pressing QwtEventPattern::KeySelect1 also starts the selection, a second press selects the first point. A third one selects the second point and terminates the selection.

See also:
    QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Member Enumeration Documentation

  enum QwtPickerMachine::Command [inherited]

Commands - the output of the state machine.

Member Function Documentation

  void QwtPickerMachine::reset () [inherited]

Set the current state to 0.

  void QwtPickerMachine::setState (intstate) [inherited]

Change the current state.

  int QwtPickerMachine::state () const [inherited]

Return the current state.

  QwtPickerMachine::CommandList QwtPickerClickRectMachine::transition (const QwtEventPattern &eventPattern, const QEvent *e) [virtual]

Transition.

Implements QwtPickerMachine.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.